GNU bug report logs - #9589
23.1; Excessive CPU consumption for VERY long lines

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Ludwig, Mark" <ludwig.mark@HIDDEN>; merged with #3219, #4123, #13675, #15555, #18530, #24523, #30457; dated Sat, 24 Sep 2011 01:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3219 4123 9589 13675 15555 18530 24523 30457. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530 24523. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #16786 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 16786. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2011 01:44:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 21:44:49 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R7HIO-0006eL-Hz
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2011 21:44:49 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ludwig.mark@HIDDEN>) id 1R7HAJ-0006T8-0h
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2011 21:36:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ludwig.mark@HIDDEN>) id 1R7H9n-00038Z-Sn
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2011 21:35:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	RECEIVED_FROM_WINDOWS_HOST autolearn=no version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:46454)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ludwig.mark@HIDDEN>) id 1R7H9n-00038P-RJ
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2011 21:35:55 -0400
Received: from eggs.gnu.org ([140.186.70.92]:40157)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ludwig.mark@HIDDEN>) id 1R7H9m-0005In-Jl
	for bug-gnu-emacs@HIDDEN; Fri, 23 Sep 2011 21:35:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ludwig.mark@HIDDEN>) id 1R7H9l-00037s-1L
	for bug-gnu-emacs@HIDDEN; Fri, 23 Sep 2011 21:35:54 -0400
Received: from usslmhub002.ugs.com ([134.244.32.85]:53513 helo=ugs.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ludwig.mark@HIDDEN>) id 1R7H9k-00037N-P2
	for bug-gnu-emacs@HIDDEN; Fri, 23 Sep 2011 21:35:53 -0400
Received: from USSLMMBX002.net.plm.eds.com (161.134.138.62) by
	USSLMHUB002.net.plm.eds.com (134.244.32.85) with Microsoft SMTP Server
	(TLS) id 14.1.323.3; Fri, 23 Sep 2011 20:13:27 -0500
Received: from USSLMMBX003.net.plm.eds.com ([169.254.2.147]) by
	USSLMMBX002.net.plm.eds.com ([169.254.1.150]) with mapi id
	14.01.0323.003; Fri, 23 Sep 2011 20:13:27 -0500
From: "Ludwig, Mark" <ludwig.mark@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 23.1; Excessive CPU consumption for VERY long lines
Thread-Topic: 23.1; Excessive CPU consumption for VERY long lines
Thread-Index: Acx6VyJHzBtwIeu4STyNg21lMby5Vw==
Date: Sat, 24 Sep 2011 01:13:25 +0000
Message-ID: <BC5672F8AD4C054BAF167C9801500D1A510C382A@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-cr-puzzleid: {40811CF3-2B26-4EE3-9126-1A4D532872A3}
x-cr-hashedpuzzle: AcjF An3D A4cG A/FW CsO+ C1NB DmSq Eg1k F6RP F+ww F+0b
	GRKB IZEv KK9u KtB4
	LBbe; 1; YgB1AGcALQBnAG4AdQAtAGUAbQBhAGMAcwBAAGcAbgB1AC4AbwByAGcA;
	Sosha1_v1; 7; {40811CF3-2B26-4EE3-9126-1A4D532872A3};
	bAB1AGQAdwBpAGcALgBtAGEAcgBrAEAAcwBpAGUAbQBlAG4AcwAuAGMAbwBtAA==;
	Sat, 24 Sep 2011 01:13:14 GMT;
	MgAzAC4AMQA7ACAARQB4AGMAZQBzAHMAaQB2AGUAIABDAFAAVQAgAGMAbwBuAHMAdQBtAHAAdABpAG8AbgAgAGYAbwByACAAVgBFAFIAWQAgAGwAbwBuAGcAIABsAGkAbgBlAHMA
x-originating-ip: [146.122.220.137]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: Windows 2000 SP2+,
	XP SP1+ (seldom 98)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 23 Sep 2011 21:44:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the bug-gnu-emacs@HIDDEN mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

The information below (about the instance of Emacs in which I started this =
bug report) is irrelevant, because the problem was not exercised in this in=
stance of Emacs, but I have left it, lest I be accused of not supplying the=
 standard text.

The problem context is a text file with one or more extremely long lines.  =
For example, you may use C-u 8 0 0 0 0 0 . (to get 800,000 "." characters).=
  Do this in the middle of an otherwise normal text file that fills several=
 screens, so that starting at beginning of the buffer you may issue C-v at =
least once before the long line becomes visible, and similarly have suffici=
ent shorter lines at the end of the buffer so that you may issue M-v at lea=
st once before the long line becomes visible.  The problem is that some com=
mands work very slowly when this long line is visible (in the case of C-v, =
M-v and C-l) while others are quick.  Once point is positioned in the long =
line, I found that the quick commands include C-a, M-b, M-<, and M->.  Slow=
 commands include C-e, M-f, C-p, and C-n.  I did not try to go through all =
of the movement commands to sniff out which are quick and which are slow.  =
On my machine, quick is instantaneous, while slow takes up to 7 seconds to =
respond.  The slowness seems to vary with the column of point (larger colum=
n number reported from C-x =3D).  Starting at the beginning of the long lin=
e, several C-v commands are quick, but they slow down as point moves furthe=
r into the long line.  The slowest position is the end of the line, where C=
-v and M-v take the most time.

I did not attempt to measure the performance with longer or shorter lines, =
but I imagine the slowness (for the slow commands) is linear with the lengt=
h of the line.  I leave that experimentation to you.

Thanks.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Apps/emacs-23.1/etc/DEBUG for instructions.


In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7600)
 of 2009-07-29 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.1.7600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  display-time-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p=20
C-p C-l C-n C-n C-n C-n C-n C-p C-p C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-SPC C-n=20
C-n C-n C-n C-w C-x C-s C-z <switch-frame> C-v <switch-frame>=20
C-p C-p C-p C-p C-p C-l C-n C-n C-SPC C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-w C-x C-s C-SPC C-p C-p C-p=20
C-p C-p C-p C-p C-w C-l C-SPC C-p C-p C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-p C-p C-w C-l C-x C-s C-p=20
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p=20
C-p C-p C-SPC C-n C-n C-w C-l C-p C-p C-p C-p C-p C-SPC=20
C-n C-n C-n C-w C-k C-k C-k C-k C-k C-k C-p C-p C-p=20
C-p C-p C-l C-x C-s C-p C-p C-p C-p C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-p C-p C-k C-k C-k C-k C-k=20
C-k C-x C-s C-x C-o C-x C-s M-r M-v C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-p C-SPC C-n C-n C-n C-n C-n=20
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n=20
C-n C-n C-n C-n C-n C-w C-x C-o C-l C-SPC C-p C-p C-p=20
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-w=20
C-l C-x C-s C-l C-p C-p C-p C-p C-p C-p C-p C-p C-p=20
C-p C-p C-l M-v M-v M-v M-r C-p C-p C-p C-p C-p C-p=20
C-p C-p C-p C-p C-l C-p C-l C-p C-p C-p C-p C-p C-p=20
C-p C-p C-p C-p C-p C-l <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Saving file d:/mrl/Today.txt...
Wrote d:/mrl/Today.txt
Saving file d:/mrl/Today.txt...
Wrote d:/mrl/Today.txt
Saving file d:/mrl/Today.txt...
Wrote d:/mrl/Today.txt
Mark set
Mark activated
Saving file d:/mrl/Today.txt...
Wrote d:/mrl/Today.txt




Acknowledgement sent to "Ludwig, Mark" <ludwig.mark@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#9589; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Feb 2018 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.